<?php

/*
|--------------------------------------------------------------------------
| Model Factories
|--------------------------------------------------------------------------
|
| Here you may define all of your model factories. Model factories give
| you a convenient way to create models for testing and seeding your
| database. Just tell the factory how a default model should look.
|
*/


$factory->define(App\User::class, function ($faker) {
    return [
        'name' => $faker->name,
        'email' => $faker->email,
    ];
});

$factory->define(App\Company::class, function ($faker) {
    $localizedFaker = Faker\Factory::create('en_NG');
    return [
        'name' => $localizedFaker->name,
        'token' => $localizedFaker->randomNumber(6),
        'client_number' => $localizedFaker->randomNumber(8),
    ];
});
