<?php

use Laravel\Lumen\Testing\DatabaseTransactions;

class TransactionsTest extends TestCase
{
    /**
     * A basic test example.
     *
     * @return void
     */
    public function testCloseOrder()
    {
        $this->post('/order/close', [
            'voucher' => 'YC12122255CEAG1',
            'status' => 4]
        )
            ->seeStatusCode(200);
    }

    public function testCloseOrderCancel()
    {
        $this->post('/order/close', [
            'voucher' => 'YC12122255CEAG1',
            'status' => 0]
        )
            ->seeStatusCode(400);
    }

    public function testCloseOrderExpire()
    {
        $this->post('/order/close', [
            'voucher' => 'YC12122255CEAG1',
            'status' => 5]
        )
            ->seeStatusCode(400);
    }
}
