<?php
namespace App\Traits;

trait SettingTrait{

    protected $baseUrl = "http://www.rewardsboxnigeria.com/rewardsbox/api/v1/?api=";

    //Zero based Status indicators
    private $transtype = [
        'debit' => 0,
        'credit' => 1
    ];
    private $is_internal_action = [
        'external' => 0,
        'internal' => 1
    ];

    private $cartstatus = [
        'cancelled' => 0,
        'pending' => 1,
        'shipped' => 2,
        'delivered' => 3,
        'processing' => 4,
        'expired' => 5,
        'noncart' => 6,
        'deleted' => 7,
        'picked up' => 8
    ];

    public function currency($company_id){
        $currency = \App\Setting::where('company_id', $company_id)->select('name', 'rate', 'currency', 'is_currency_fixed')->first();
        return $currency;
    }


}