<?php


class SettingsTest extends TestCase
{
    public function testCurrency(){
        $this->post('/appcurrency', ['client_number' => 6])
            ->seeStatusCode(200);
    }

    public function testUpdateCurrency(){
        $this->post('/appcurrency/update', [
            'rate' => 4,
            'currency' => 'Smart Coin',
            'is_currency_fixed' => 0,
            'client_number' => 75236592,
        ])
            ->seeStatusCode(200);
    }

    public function testConvertCurrency(){
        $this->post('/appcurrency/convert', [
            'point' => 4,
            'client_number' => 75236592,
        ])
            ->seeStatusCode(200);
    }
}